#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("@nofrills/fs");
const console_1 = require("@nofrills/console");
const SshParser_1 = require("./SshParser");
const args = console_1.ProcessArgs.from(process.argv);
const options = {
    initializer: () => __awaiter(void 0, void 0, void 0, function* () {
        const ssh = SshParser_1.SshParser.from(process.cwd(), 'config.pegjs');
        const parser = yield ssh.generate();
        const home = fs_1.fs.resolve('~');
        const config = `${home}/.ssh/config`;
        if (yield fs_1.fs.exists(config)) {
            const buffer = yield fs_1.fs.readFile(config);
            const sshconfig = parser.parse(buffer.toString());
            // TODO: Remove
            process.stdout.write(Buffer.from(sshconfig));
        }
    }),
};
console_1.CLI.run(options, args).catch(console.error);
//# sourceMappingURL=cli-ssh.js.map